Package ghidra.app.merge.listing

# Class CodeUnitDetails

java.lang.Object
ghidra.app.merge.listing.CodeUnitDetails

public abstract class CodeUnitDetails extends Object
This is a class with static methods for obtaining information about a code unit and its references. The information is provided as a String.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CodeUnitDetails()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getCodeUnitDetails(CodeUnit cu)`
  Gets a string that indicates the code unit along with its overrides.
  `static String`
  `getInstructionDetails(CodeUnit cu)`
  Gets a string that indicates the code unit along with its overrides and its "from" references.
  `static String`
  `getReferenceDetails(CodeUnit cu)`
  Gets a string that indicates the references from a code unit.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CodeUnitDetails

    public CodeUnitDetails()

- ## Method Details

  - ### getInstructionDetails

    public static String getInstructionDetails(CodeUnit cu)
    Gets a string that indicates the code unit along with its overrides and its "from" references. This can contain new line characters.
    Parameters:
      `cu` - the code unit
    Returns:
      info about the code unit and its references.

  - ### getCodeUnitDetails

    public static String getCodeUnitDetails(CodeUnit cu)
    Gets a string that indicates the code unit along with its overrides. This can contain new line characters.
    Parameters:
      `cu` - the code unit
    Returns:
      info about the code unit.

  - ### getReferenceDetails

    public static String getReferenceDetails(CodeUnit cu)
    Gets a string that indicates the references from a code unit. This can contain new line characters.
    Note: Data currently only indicates references on the minimum address.
    Parameters:
      `cu` - the code unit
    Returns:
      info about the code unit's references.